Open CASCADE Technology: TFunction_Iterator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TFunction_Iterator Class Reference

Iterator of the graph of functions. More...

`#include <TFunction_Iterator.hxx>`

## Public Member Functions
| TFunction_Iterator ()
| An empty constructor. More...
| TFunction_Iterator (const TDF_Label &Access)
| A constructor. Initializes the iterator. More...
virtual void | Init (const TDF_Label &Access)
| Initializes the Iterator. More...
void | SetUsageOfExecutionStatus (const Standard_Boolean usage)
| Defines the mode of iteration - usage or not of the execution status. If the iterator takes into account the execution status, the method ::Current() returns only "not executed" functions while their status is not changed. If the iterator ignores the execution status, the method ::Current() returns the functions following their dependencies and ignoring the execution status. More...
Standard_Boolean | GetUsageOfExecutionStatus () const
| Returns usage of execution status by the iterator. More...
virtual Standard_Integer | GetMaxNbThreads () const
| Analyses the graph of dependencies and returns maximum number of threads may be used to calculate the model. More...
virtual const TDF_LabelList & | Current () const
| Returns the current list of functions. If the iterator uses the execution status, the returned list contains only the functions with "not executed" status. More...
virtual Standard_Boolean | More () const
| Returns false if the graph of functions is fully iterated. More...
virtual void | Next ()
| Switches the iterator to the next list of current functions. More...
TFunction_ExecutionStatus | GetStatus (const TDF_Label &func) const
| A help-function aimed to help the user to check the status of retrurned function. It calls TFunction_GraphNode::GetStatus() inside. More...
void | SetStatus (const TDF_Label &func, const TFunction_ExecutionStatus status) const
| A help-function aimed to help the user to change the execution status of a function. It calls TFunction_GraphNode::SetStatus() inside. More...
Standard_OStream & | Dump (Standard_OStream &OS) const

## Detailed Description

Iterator of the graph of functions.

## Constructor & Destructor Documentation

TFunction_Iterator::TFunction_Iterator | ( |  | ) |

An empty constructor.

TFunction_Iterator::TFunction_Iterator | ( | const TDF_Label & | Access | ) |

A constructor. Initializes the iterator.

## Member Function Documentation

virtual const TDF_LabelList& TFunction_Iterator::Current | ( |  | ) | const
| virtual

Returns the current list of functions. If the iterator uses the execution status, the returned list contains only the functions with "not executed" status.

Standard_OStream& TFunction_Iterator::Dump | ( | Standard_OStream & | OS | ) | const

virtual Standard_Integer TFunction_Iterator::GetMaxNbThreads | ( |  | ) | const
| virtual

Analyses the graph of dependencies and returns maximum number of threads may be used to calculate the model.

TFunction_ExecutionStatus TFunction_Iterator::GetStatus | ( | const TDF_Label & | func | ) | const

A help-function aimed to help the user to check the status of retrurned function. It calls TFunction_GraphNode::GetStatus() inside.

Standard_Boolean TFunction_Iterator::GetUsageOfExecutionStatus | ( |  | ) | const

Returns usage of execution status by the iterator.

virtual void TFunction_Iterator::Init | ( | const TDF_Label & | Access | ) |
| virtual

Initializes the Iterator.

virtual Standard_Boolean TFunction_Iterator::More | ( |  | ) | const
| virtual

Returns false if the graph of functions is fully iterated.

virtual void TFunction_Iterator::Next | ( |  | ) |
| virtual

Switches the iterator to the next list of current functions.

void TFunction_Iterator::SetStatus | ( | const TDF_Label & | func,
|  | const TFunction_ExecutionStatus | status
| ) |  | const

A help-function aimed to help the user to change the execution status of a function. It calls TFunction_GraphNode::SetStatus() inside.

void TFunction_Iterator::SetUsageOfExecutionStatus | ( | const Standard_Boolean | usage | ) |

Defines the mode of iteration - usage or not of the execution status. If the iterator takes into account the execution status, the method ::Current() returns only "not executed" functions while their status is not changed. If the iterator ignores the execution status, the method ::Current() returns the functions following their dependencies and ignoring the execution status.

The documentation for this class was generated from the following file:

- TFunction_Iterator.hxx